import communicationservices.*;
import controlservices.*;
import dataservices.*;

/**
 * <p>Title: SNMPProxy</p>
 * <p>Description: This class loads all major components needed to run the SNMP
 * Proxy and starts the SNMP Proxy.</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: Printronix</p>
 * @author Christopher M. King (kingc@uci.edu)
 * @version 0.5
 */

public class SNMPProxy
{
  public static void main(String[] args)
  {
    // -- LOAD CONFIG: Retrieve settings from args/file/constants
    ProxyConfig config = new ProxyConfig();
    config.loadArguments(args);  // in case config file name given as arg
    config.loadConfigFile(config.getConfigFileName());

   // -- START THE CONTROLLER
    ProxyManager proxyManager = new ProxyManager(config); // init controller
    proxyManager.start();                                       // let 'er rip
  }
}