package communicationservices;

import java.io.*;
import java.util.*;
import java.net.*;

/**
 * <p>Title: UDPSender</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: Printronix</p>
 * @author Christopher M. King (kingc@uci.edu)
 * @version 1.2
 */

public class UDPSender
{
  private DatagramSocket socket;

  public UDPSender(int port)
  {
    try
    {
      socket = new DatagramSocket(port);
    }
    catch(SocketException e)
    {
      System.out.println(e.toString());
    }
  }
  public UDPSender(DatagramSocket sock)
  {
    socket = sock;
  }

  public void send(DatagramPacket udpPacket)
  {
    try
    {
      socket.send(udpPacket);
    }
    catch(IOException e)
    {
      System.out.println(e.toString());
    }
    socket.close();
  }


}
