package dataservices;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author Christopher M. King (kingc@uci.edu) and Allen Liao (ailiao@uci.edu)
 * @version 1.2
 */

public interface ProxyConstants
{
  //////////////
  // SETTINGS //
  //////////////
  public static final int     SNMP_V1           = 0;
  public static final int     SNMP_V2           = 1;
  public static final String  MANAGED_IP        = "0.0.0.0";
  public static final int     LISTEN_PORT       = 161;
  public static final String  POMES_IP          = "127.0.0.1";
  public static final int     POMES_PORT        = 9898;
  public static final String  NAME              = "itisme";
  public static final String  PASSWORD          = "mypw";
  public static final String  COMMUNITY         = "public";
  public static final String  TOKEN             = "abcdef";
  public static final String  TRANSLATION_FILE  = "translate.txt";
  public static final String  CONFIG_FILE       = "proxy.cfg";
  public static final String  LOG_FILE          = "proxylog.txt";
  public static final int     RESPONSE_TIMEOUT  = 3000;
  public static final int     SESSION_TIMEOUT   = 180000; // 3 minutes
  public static final int     REQUEST_TIMEOUT   = 60000;  // 1 minute
  public static final String  WAIT_MESSAGE      = "Please Wait...";
  public static final boolean DEBUG             = true;

  //////////////
  // MESSAGES //
  //////////////
  public static final String START_MESSAGE      = "Starting SNMP Proxy (v1.0a)...";
  public static final String RESPONSE_ERROR     = "Error: Failed to generate valid response";
  public static final String TYPE_ERROR         = "Error: SNMP message type could not be determined";
  public static final String UNKOWN_MESSAGE     = "Error: Unkown SNMP message type";
  public static final String SESSION_ERROR      = "Error: Session has failed";
  public static final String PACKET_ERROR       = "Error: Session has failed";
  public static final String SECURITY_ERROR     = "Error: SNMP message contained incorrect community name";
  public static final String CONFIG_ERROR       = "Error: Could not load config file";
}